Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FileDataElement

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.FileDataElement

public class FileDataElement
extends DataElementSupport

FileDataElement is DataElement which wraps the File object. This class is used for storing of objects that have file representation.

Version: 1.0

Constructor Summary
`FileDataElement(String name, DataCollection origin, File parent)` Constructs FileDataElement with specified name,parent DataCollection,and parent subdirectory
`FileDataElement(String name, DataCollection origin, String parent)` Constructs FileDataElement with specified name,parent DataCollection,and name of parent subdirectory
`FileDataElement(String name, FileCollection origin)` Constructs FileDataElement with specified name and parent DataCollection

Method Summary
`File` | `getFile()` Return file of this DataElement
`void` | `setFile(File file)` Sets new file.

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Constructor Detail

### FileDataElement

    public FileDataElement(String name, DataCollection origin, File parent)

  Constructs FileDataElement with specified name,parent DataCollection,and parent subdirectory
  Parameters:
    name - name of DataElement
    origin - parent DataCollection
    parent - parent subdirectory

### FileDataElement

    public FileDataElement(String name, DataCollection origin, String parent)

  Constructs FileDataElement with specified name,parent DataCollection,and name of parent subdirectory
  Parameters:
    name - name of DataElement
    origin - parent DataCollection
    parent - name of parent subdirectory

### FileDataElement

    public FileDataElement(String name, FileCollection origin)

  Constructs FileDataElement with specified name and parent DataCollection
  Parameters:
    name - name of DataElement
    origin - parent DataCollection

Method Detail

### getFile

    public File getFile()

  Return file of this DataElement
  Returns: file of this DataElement

### setFile

    public void setFile(File file)
                  throws java.lang.Exception

  Sets new file.
  Parameters:
    file - new file
  Throws:
    Exception - If name of DataElement does not equal name of new file.

Association Links

to Class java.io.File

  File stored in this FileDataElement

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM